# H225_SecurityServiceMode Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_none, e_default }

## Public Member Functions

| H225_SecurityServiceMode (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_SecurityServiceMode::Choices

Enumerator:

  e_nonStandard |
  e_none |
  e_default |

## Constructor & Destructor Documentation

H225_SecurityServiceMode::H225_SecurityServiceMode | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_SecurityServiceMode::operator H225_NonStandardParameter & | ( |  | ) |

H225_SecurityServiceMode::operator const H225_NonStandardParameter & | ( |  | ) | const

PBoolean H225_SecurityServiceMode::CreateObject | ( |  | ) |

PObject* H225_SecurityServiceMode::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h